package com.chushang.common.log.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.chushang.common.core.web.EnumUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;
/**
 * by zhaowenyuan create 2022/3/16 14:48
 */
@Getter
@AllArgsConstructor
public enum LogTypeEnum implements EnumUtils.CodeEnum<String>, IEnum<Integer> {
    NORMAL(0,"正常日志"),
    ERROR(9,"错误日志")
    ;
    private final Integer code;
    private final String desc;


    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getMsg() {
        return this.desc;
    }
}
